Subject: Re: bug#57712: 29.0.50; bibtex.el: Should `bibtex-parse-entry' handle curly braces inside fields?

From: Roland Winkler <[email-masked]>
Date: Sat, 10 Sep 2022 11:07:13 -0500

> It would be useful if bibtex-parse-entry could process the escapes when,
> say, its first optional argument CONTENT is set to 'parse.

I must be missing something.  With `emacs -q' (28.1) and the proposed
test case bibtex-parse-entry honors all braces.  Same with any other
entries I tested.  Try

M-: (bibtex-parse-entries)

Certainly, stripping off the braces would turn valid LaTeX code into
gibberish.

There is also bibtex-autokey-get-field that comes with an optional arg
CHANGE-LIST which is most often bibtex-autokey-transcriptions.  This
massages the field values in all kinds of ways.  But it serves an
entirely different purpose.